﻿# To make this work, There are few modification in the screen.rpy you should copy
# All of the changes are marked with [single save] you can search for.
# Also pay attention to the lines after the start label inside `script.rpy`
# Hopefully the comments following them explain each change sufficiently.

init python:
    _game_menu_screen = "single_save"
    def single_save_remove(saves, slot):
        saves.remove(slot)
        renpy.unlink_save("1-"+slot)
    def single_save_add(saves):
        r = 'single' + str(0)
        while r in saves:
            r = 'single' + str(renpy.random.randint(0, 1000))
        saves.append(r)
    def single_save_start(slot):
        persistent.single_save_slot = slot
        renpy.show_screen("single_save_start_jump")
        
define persistent.single_save_slot = None
define persistent.single_save_slots = ['single']
screen single_save_start_jump:
    timer .01 action Start(), Hide("single_save_start_jump")
screen single_save:
    tag menu
    modal True
    style_prefix "single_save"
    add "#0009"
    text _("Select your game") yalign .06
    hbox:
        align .5,.5
        
        for i in persistent.single_save_slots:
            frame:
                vbox:
                    frame:
                        add FileScreenshot(i) xalign 0.5
                    text FileTime(i, format=_("{#file_time}%A, %B %d %Y, %H:%M"), empty=_("empty slot")):
                        style "slot_time_text"
                    text FileSaveName(i):
                        style "slot_name_text"
                    if renpy.can_load('1-'+i):
                        button:
                            text _("Continue")
                            action FileLoad(i)
                    else:
                        button:
                            text _("Start")
                            action Function(single_save_start, i)
                    button:
                        text _("Delete")
                        action Function(single_save_remove, persistent.single_save_slots, i)
    hbox:
        align .5,.94
        button:
            text _("New game")
            action Function(single_save_add, persistent.single_save_slots)
        button:
            
            text _("Return")
            action Return()


style single_save_button:
    background "#0009"
    padding (20,20)
    xsize 300
    align (.5,.5)
style single_save_text:
    align (.5,.5)
style single_save_frame:
    background "#0009"
    padding (20,20)
style single_save_vbox:
    spacing 10
style single_save_hbox:
    spacing 10





